//EBS_35 - Desvio Padrao com funo
#include <iostream>
#include <conio.h>
#include <cmath>
using namespace std;

void lanca_vetor(float vetor[], int dim)
{
	for (int i=0;i<dim;i++)
	{
		cout << i+1 << "a. nota = ";
		cin >> vetor[i];
	}
}

float media_vetor(float vetor[], int dim)
{
    float xx = 0.00;	
	for (int i=0;i<dim;i++)
	{
		xx = xx + vetor[i];
	}
	xx = xx / dim;
	return (xx);
}

float dp_vetor(float vetor[], int dim, float media)
{
    float xx = 0.00;	
	for (int i=0;i<dim;i++)
	{
		xx = xx + pow((vetor[i] - media),2);
	}
	xx = sqrt(xx / (dim-1));
	return (xx);
}

void mostra_valor(float x)
{
	cout << endl << endl;
	cout << "DP = " << x;
}


float pearson(float x[], float y[], int dim, float mx, float my)
{
	float xy=0.00, xx = 0.00, yy = 0.00, p;
	for (int i=0;i<dim;i++)
	{
		xx = xx + pow((x[i]-mx),2);
		yy = yy + pow((y[i]-my),2);
		xy = xy + (x[i]-mx)*(y[i]-my);
	}
	p = (xy / (sqrt(xx)*sqrt(yy)));
	return (p);
}


int main()
{
	int tam;
	cout << "Nr. de notas a lancar = ";
	cin >> tam;
	float v1[tam],v2[tam], medx, medy, dp, ps;
	lanca_vetor(v1, tam);
	lanca_vetor(v2, tam);
	medx = media_vetor(v1, tam);	
	medy = media_vetor(v2, tam);
	ps = pearson(v1, v2, tam, medx, medy);
	cout << "Pearson = " << ps;
	
	//dp= dp_vetor(v1, tam, med);
	//mostra_valor(dp);
}



